#! /bin/sh
#----------------------------------------------------------------------------
# /usr/local/bin/dirblink.sh - blink if directory in not empty   3.10.3
#
# Creation:     28.09.2003  felix
# Last Update:  $Id: dirblink.sh 3649 2003-08-29 18:59:04Z felix $
#----------------------------------------------------------------------------

BLINK_FILE=`cat /var/run/dirblink_dir`

while true ; do

if [ -f /var/run/dirblink ] ; then
        
        dircontent=`ls $BLINK_FILE`
        case `cat /var/run/onl_status`

         in
 
         online*)
          if [ "$dircontent" = "" ] ; then
             sleep 2 
          else
             setleds -caps < /dev/tty1; sleep 1
             setleds +caps < /dev/tty1; sleep 1
          fi
          ;;

         offline*)
           if [ "$dircontent" = "" ] ; then
           sleep 2 
          else
           setleds +caps < /dev/tty1; sleep 1
           setleds -caps < /dev/tty1; sleep 1
          fi  
          ;;
        
         *)
          sleep 2
          ;;
        
        esac

 else
        sleep 2
fi

done
